From 148872d6498ffd02f3a9c6fffe20615fc356b1de Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 28 Nov 2011 15:19:39 -0600
Subject: Admin option for SWM weighted extra credit

---
 admin/settings/grades.php |    3 +++
 lang/en/grades.php        |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/admin/settings/grades.php b/admin/settings/grades.php
index 0d42537..f74165c 100644
--- a/admin/settings/grades.php
+++ b/admin/settings/grades.php
@@ -89,6 +89,9 @@ if (has_capability('moodle/grade:manage', $systemcontext)
         $defaults = array('value'=>GRADE_AGGREGATE_WEIGHTED_MEAN2, 'forced'=>false, 'adv'=>false);
         $temp->add(new admin_setting_gradecat_combo('grade_aggregation', get_string('aggregation', 'grades'), get_string('aggregation_help', 'grades'), $defaults, $options));
 
+        // SWM Extra Credit handling
+        $temp->add(new admin_setting_configcheckbox('grade_swm_extra_credit', get_string('swm_ec', 'grades'), get_string('swm_ec_help', 'grades'), '1'));
+
         $temp->add(new admin_setting_configmultiselect('grade_aggregations_visible', get_string('aggregationsvisible', 'grades'),
                                                        get_string('aggregationsvisiblehelp', 'grades'), $defaultvisible, $options));
 
diff --git a/lang/en/grades.php b/lang/en/grades.php
index b583eff..bb63038 100644
--- a/lang/en/grades.php
+++ b/lang/en/grades.php
@@ -606,6 +606,8 @@ $string['submissions'] = 'Submissions';
 $string['submittedon'] = 'Submitted: {$a}';
 $string['switchtofullview'] = 'Switch to full view';
 $string['switchtosimpleview'] = 'Switch to simple view';
+$string['swm_ec'] = 'Weighted SWM ' . $string['aggregationcoefextra'];
+$string['swm_ec_help'] = 'By default, '.$string['aggregationcoefextra'].' in '.$string['aggregateweightedmean2'].' grade category is weighted. Unchecked this option to allow extra credit items to simply add points to the aggregated total.';
 $string['tabs'] = 'Tabs';
 $string['topcategory'] = 'Super category';
 $string['total'] = 'Total';
-- 
1.7.1


